DateSelector (Apache Ant API)
Keywords: org.apache.tools.ant.types.selectors.DateSelector class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.selectors
Class DateSelector

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.selectors.BaseSelector
                  org.apache.tools.ant.types.selectors.BaseExtendSelector
                      org.apache.tools.ant.types.selectors.DateSelector

All Implemented Interfaces:
  ExtendFileSelector, FileSelector, Parameterizable

public class DateSelector
extends BaseExtendSelector

Selector that chooses files based on their last modified date.

Since:
  1.5
Author:
  Bruce Atherton

Nested Class Summary
`static class` | `DateSelector.TimeComparisons` Enumerated attribute with the values for time comparison.

Field Summary
`static java.lang.String` | `CHECKDIRS_KEY`
`static java.lang.String` | `DATETIME_KEY`
`static java.lang.String` | `GRANULARITY_KEY`
`static java.lang.String` | `MILLIS_KEY`
`static java.lang.String` | `WHEN_KEY`

Fields inherited from class org.apache.tools.ant.types.selectors.BaseExtendSelector
`parameters`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DateSelector()`

Method Summary
`long` | `getMillis()` Returns the millisecond value the selector is set for.
`boolean` | `isSelected(java.io.File basedir, java.lang.String filename, java.io.File file)` The heart of the matter.
`void` | `setCheckdirs(boolean includeDirs)` Should we be checking dates on directories?
`void` | `setDatetime(java.lang.String dateTime)` Sets the date.
`void` | `setGranularity(int granularity)` Sets the number of milliseconds leeway we will give before we consider a file not to have matched a date.
`void` | `setMillis(long millis)` For users that prefer to express time in milliseconds since 1970
`void` | `setParameters(Parameter[] parameters)` When using this as a custom selector, this method will be called.
`void` | `setWhen(DateSelector.TimeComparisons cmp)` Sets the type of comparison to be done on the file's last modified date.
`java.lang.String` | `toString()`
`void` | `verifySettings()` This is a consistency check to ensure the selector's required values have been set.

Methods inherited from class org.apache.tools.ant.types.selectors.BaseExtendSelector
`getParameters`

Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelector
`getError, setError, validate`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MILLIS_KEY

    public static final java.lang.String MILLIS_KEY

See Also:
  Constant Field Values

### DATETIME_KEY

    public static final java.lang.String DATETIME_KEY

See Also:
  Constant Field Values

### CHECKDIRS_KEY

    public static final java.lang.String CHECKDIRS_KEY

See Also:
  Constant Field Values

### GRANULARITY_KEY

    public static final java.lang.String GRANULARITY_KEY

See Also:
  Constant Field Values

### WHEN_KEY

    public static final java.lang.String WHEN_KEY

See Also:
  Constant Field Values

Constructor Detail

### DateSelector

    public DateSelector()

Method Detail

### toString

    public java.lang.String toString()

### setMillis

    public void setMillis(long millis)

  For users that prefer to express time in milliseconds since 1970

  Parameters:
    `millis` - the time to compare file's last modified date to, expressed in milliseconds

### getMillis

    public long getMillis()

  Returns the millisecond value the selector is set for.

### setDatetime

    public void setDatetime(java.lang.String dateTime)

  Sets the date. The user must supply it in MM/DD/YYYY HH:MM AM_PM format

  Parameters:
    `dateTime` - a string in MM/DD/YYYY HH:MM AM_PM format

### setCheckdirs

    public void setCheckdirs(boolean includeDirs)

  Should we be checking dates on directories?

  Parameters:
    `includeDirs` - whether to check the timestamp on directories

### setGranularity

    public void setGranularity(int granularity)

  Sets the number of milliseconds leeway we will give before we consider a file not to have matched a date.

### setWhen

    public void setWhen(DateSelector.TimeComparisons cmp)

  Sets the type of comparison to be done on the file's last modified date.

  Parameters:
    `cmp` - The comparison to perform, an EnumeratedAttribute

### setParameters

    public void setParameters(Parameter[] parameters)

  When using this as a custom selector, this method will be called. It translates each parameter into the appropriate setXXX() call.

  Specified by:
    `setParameters` in interface `Parameterizable`
  Overrides:
    `setParameters` in class `BaseExtendSelector`
  Parameters:
    `parameters` - the complete set of parameters for this selector

### verifySettings

    public void verifySettings()

  This is a consistency check to ensure the selector's required values have been set.

  Overrides:
    `verifySettings` in class `BaseSelector`

### isSelected

    public boolean isSelected(java.io.File basedir,
                              java.lang.String filename,
                              java.io.File file)

  The heart of the matter. This is where the selector gets to decide on the inclusion of a file in a particular fileset.

  Specified by:
    `isSelected` in interface `FileSelector`
  Specified by:
    `isSelected` in class `BaseExtendSelector`
  Parameters:
    `basedir` - the base directory the scan is being done from
    `filename` - is the name of the file to check
    `file` - is a java.io.File object the selector can use
  Returns:
    whether the file should be selected or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.